import vl from 'vega-lite-api';
export const viz = vl
  .markSquare({ 
    size: 1085, 
    opacity: 0.5 })

  .encode(
    vl.x()
    .fieldQ('Stars')
    .aggregate('average')
    .scale({zero: false}),
    
    vl.y().fieldN('Style'),
    
    vl.color()
    .fieldN('Country')
    .scale({'range': ['#F596AA', '#64363C','#E83015','#563F2E', '#E98B2A','#BEC23F', '#24936E',  '#0089A7', '#8F77B5' ]}),
    
    vl.size()
    .fieldN('Country')
    .aggregate('count')
    .scale({'range': [1, 4000]}),
    
     vl.tooltip().fieldN('Country')

  );